use thiserror::Error;

#[derive(Debug, Error)]
pub enum Error {
    #[error("io error")]
    Io {
        #[from]
        error: std::io::Error,
    },
    #[error("string was not valid utf-8")]
    Utf8 {
        #[from]
        error: std::string::FromUtf8Error,
    },
}
